Package org.gitana.platform.client.application

# Class EmailProviderImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.application.AbstractApplicationDocumentImpl
org.gitana.platform.client.application.EmailProviderImpl

All Implemented Interfaces:
  `Serializable`, `ApplicationDocument`, `EmailProvider`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class EmailProviderImpl extends AbstractApplicationDocumentImpl implements EmailProvider

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.application.EmailProvider

`FIELD_HOST, FIELD_PASSWORD, FIELD_PORT, FIELD_SMTP_ENABLED, FIELD_SMTP_IS_SECURE, FIELD_SMTP_REQUIRES_AUTH, FIELD_SMTP_STARTTLS_ENABLED, FIELD_USERNAME`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`EmailProviderImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getHost()`
`String`
`getPassword()`
`int`
`getPort()`
`String`
`getResourceUri()`
`boolean`
`getSmtpEnabled()`
`boolean`
`getSmtpIsSecure()`
`boolean`
`getSmtpRequiresAuth()`
`boolean`
`getSmtpStartTLSEnabled()`
`String`
`getTypeId()`
`String`
`getUsername()`
`void`
`reload()`
Reload
`void`
`send(Email email)`
`void`
`setHost(String host)`
`void`
`setPassword(String password)`
`void`
`setPort(int port)`
`void`
`setSmtpEnabled(boolean smtpEnabled)`
`void`
`setSmtpIsSecure(boolean smtpIsSecure)`
`void`
`setSmtpRequiresAuth(boolean smtpRequiresAuth)`
`void`
`setSmtpStartTLSEnabled(boolean smtpStartTlsEnabled)`
`void`
`setUsername(String username)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.application.AbstractApplicationDocumentImpl

`getApplication, getApplicationId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### EmailProviderImpl

public EmailProviderImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### setHost

public void setHost(String host)

Specified by:
  `setHost` in interface `EmailProvider`

### getHost

public String getHost()

Specified by:
  `getHost` in interface `EmailProvider`

### setPort

public void setPort(int port)

Specified by:
  `setPort` in interface `EmailProvider`

### getPort

public int getPort()

Specified by:
  `getPort` in interface `EmailProvider`

### setUsername

public void setUsername(String username)

Specified by:
  `setUsername` in interface `EmailProvider`

### getUsername

public String getUsername()

Specified by:
  `getUsername` in interface `EmailProvider`

### setPassword

public void setPassword(String password)

Specified by:
  `setPassword` in interface `EmailProvider`

### getPassword

public String getPassword()

Specified by:
  `getPassword` in interface `EmailProvider`

### setSmtpEnabled

public void setSmtpEnabled(boolean smtpEnabled)

Specified by:
  `setSmtpEnabled` in interface `EmailProvider`

### getSmtpEnabled

public boolean getSmtpEnabled()

Specified by:
  `getSmtpEnabled` in interface `EmailProvider`

### setSmtpRequiresAuth

public void setSmtpRequiresAuth(boolean smtpRequiresAuth)

Specified by:
  `setSmtpRequiresAuth` in interface `EmailProvider`

### getSmtpRequiresAuth

public boolean getSmtpRequiresAuth()

Specified by:
  `getSmtpRequiresAuth` in interface `EmailProvider`

### setSmtpIsSecure

public void setSmtpIsSecure(boolean smtpIsSecure)

Specified by:
  `setSmtpIsSecure` in interface `EmailProvider`

### getSmtpIsSecure

public boolean getSmtpIsSecure()

Specified by:
  `getSmtpIsSecure` in interface `EmailProvider`

### setSmtpStartTLSEnabled

public void setSmtpStartTLSEnabled(boolean smtpStartTlsEnabled)

Specified by:
  `setSmtpStartTLSEnabled` in interface `EmailProvider`

### getSmtpStartTLSEnabled

public boolean getSmtpStartTLSEnabled()

Specified by:
  `getSmtpStartTLSEnabled` in interface `EmailProvider`

### send

public void send(Email email)

Specified by:
  `send` in interface `EmailProvider`